TechDraw RadiusDimension/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/ru |Name=TechDraw Dimension Radius |Name/ru=TechDraw Dimension Radius |Workbenches=TechDraw |MenuLocation=TechDraw → Dimension Radius |...")
 
No edit summary
(30 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>

{{Docnav/ru
|[[TechDraw_VerticalDimension/ru|Указать вертикальный размер]]
|[[TechDraw_DiameterDimension/ru|Указать диаметр]]
|[[TechDraw_Workbench/ru|Верстак "TechDraw"]]
|IconL=TechDraw_VerticalDimension.svg
|IconR=TechDraw_DiameterDimension.svg
|IconC=Workbench_TechDraw.svg
}}

{{GuiCommand/ru
{{GuiCommand/ru
|Name/ru=Указать радиус
|Name=TechDraw Dimension Radius
|Name=TechDraw_RadiusDimension
|Name/ru=TechDraw Dimension Radius
|MenuLocation=TechDraw → Размеры → Указать радиус
|Workbenches=[[TechDraw Module/ru|TechDraw]]
|Workbenches=[[TechDraw_Workbench/ru|TechDraw]]
|MenuLocation=TechDraw → Dimension Radius
|SeeAlso=[[TechDraw_DiameterDimension/ru|Указать диаметр]]
|Shortcut=
|SeeAlso=
}}
}}


==Описание==
==Description==
The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc.
[[File:RadiusSample.png|200px|center]]


The Radius Dimension tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_LinkDimension.svg|16px]] [[TechDraw_LinkDimension|TechDraw LinkDimension]]}} tool.
==How to use==
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Press the {{KEY|[[Image:Dimension_Radius.png|24px]] [[TechDraw Dimension Radius|Dimension Radius]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.


[[Image:TechDraw_Dimension_Radius_example.png|130px]]
==Options==
{{Caption|Measuring a circle, indicating the radius}}
None.


==Применение==
==Properties==

* {{PropertyData|X}}: Horizontal position of the dimension text relative to the View.
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
* {{PropertyData|Y}}: Vertical position of the dimension text relative to the View.
# Press the {{Button|[[Image:TechDraw_RadiusDimension.svg|16px]] [[TechDraw_RadiusDimension|Radius Dimension]]}} button
* {{PropertyData|Font}}: The name of the font to use for the dimension text.
# A dimension will be added to the View. The dimension may be dragged to the desired position.
* {{PropertyData|Fontsize}}: Dimension text size in mm.
# If needed, add tolerances as described in [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].
* {{PropertyData|FormatSpec}}: Allows additional text to be added to the dimension text. Dimension value will replace %value%.

* {{PropertyData|LineWidth}}: Dimension line weight.
To change the properties of a dimension object either double-clicking it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|dimension dialog]].
* {{PropertyData|Type}}: Length,radius,diameter, etc. Not normally manipulated by the end user.

* {{PropertyData|MeasureType}}: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.
== Ограничения ==

Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]] for more information.

==Свойства==

See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].

==Программирование==

{{Emphasis|См. так же:}} [[TechDraw_API/ru|TechDraw API]] и [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов FreeCAD]].

The Radius Dimension tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:


==Scripting==
Radius dimensions can be added to Pages using Python.
{{Code|code=
{{Code|code=
dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
Line 38: Line 54:
rc = page.addView(dim1)
rc = page.addView(dim1)
}}
}}

==Notes==

* None at this time
{{Docnav/ru
{{clear}}
|[[TechDraw_VerticalDimension/ru|Указать вертикальный размер]]
<languages/>
|[[TechDraw_DiameterDimension/ru|Указать диаметр]]
|[[TechDraw_Workbench/ru|Верстак "TechDraw"]]
|IconL=TechDraw_VerticalDimension.svg
|IconR=TechDraw_DiameterDimension.svg
|IconC=Workbench_TechDraw.svg
}}

{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 20:12, 15 September 2021

Other languages:

Указать радиус

Системное название
TechDraw_RadiusDimension
Расположение в меню
TechDraw → Размеры → Указать радиус
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Указать диаметр

Описание

The Radius Dimension tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring a circle, indicating the radius

Применение

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the Radius Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Ограничения

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Свойства

See TechDraw LengthDimension.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Radius Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)